commit:     ace95ba44235bcccdbb4f2ddfbc215f770f1aef9
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 30 07:11:18 2023 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Mon Oct 30 07:11:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ace95ba4

dev-python/gmpy: add python3_12

An upstream patch included

Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 dev-python/gmpy/Manifest             |  1 +
 dev-python/gmpy/gmpy-2.1.5-r1.ebuild | 44 ++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/gmpy/Manifest b/dev-python/gmpy/Manifest
index 460832e9d409..843d040fcdb5 100644
--- a/dev-python/gmpy/Manifest
+++ b/dev-python/gmpy/Manifest
@@ -1 +1,2 @@
+DIST gmpy-2.1.5-py3.12.patch.gz 1817 BLAKE2B 
cbea3a9c662d52c5bfddb82ab5e920474a52c1dd715b3b9fecf55e5ee097297168ddb7961b6156e4c1f902e911890c77252d119c3651f345f01cad144ed44127
 SHA512 
26195e8e9a87147a05fd07fa325f262c2004fcba2b8857dbc87ca7a1e9e5e64b4a47d35be77edc263829e5df1db6a0acda6904307d01529eba832feb4f0f3f71
 DIST gmpy2-2.1.5.tar.gz 261709 BLAKE2B 
50958868866fadc49c97534780fa491fadfaaea902f3fd4bd51f4e76a94602a6d030a1ee6685aac742e25b5fbe4865e1419307f7215c8fb553b166761d63607a
 SHA512 
92e16359ee1df63faaeae4a3cbefe8cdbbc576d8eda377f08d59f12b70dfe9337a299686e85d1efee6c2f5b41fc4583643fecc68ea38a500c7f876c56fc169e7

diff --git a/dev-python/gmpy/gmpy-2.1.5-r1.ebuild 
b/dev-python/gmpy/gmpy-2.1.5-r1.ebuild
new file mode 100644
index 000000000000..f399526d25e1
--- /dev/null
+++ b/dev-python/gmpy/gmpy-2.1.5-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN="gmpy2"
+PYTHON_COMPAT=( python3_{9..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for GMP, MPC, MPFR and MPIR libraries"
+HOMEPAGE="
+       https://github.com/aleaxit/gmpy/
+       https://pypi.org/project/gmpy2/
+"
+SRC_URI="${SRC_URI}
+       https://dev.gentoo.org/~grozin/${P}-py3.12.patch.gz";
+
+LICENSE="LGPL-3+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+DEPEND="
+       >=dev-libs/mpc-1.0.2:=
+       >=dev-libs/mpfr-3.1.2:=
+       dev-libs/gmp:0=
+"
+RDEPEND="
+       ${DEPEND}
+"
+
+distutils_enable_sphinx docs
+
+src_prepare() {
+       eapply "${WORKDIR}"/${P}-py3.12.patch
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       cd test || die
+       "${EPYTHON}" runtests.py || die "tests failed under ${EPYTHON}"
+}

Reply via email to